Skip to main content

List the status of all host scan jobs

GET 

/api/v1/HostScanJob

Returns the status of every host scan job, including the status of each host in the job. Use it to see all scans that are queued, running or finished.

Permission required: Admin or App role.

Values for status: -4 = Paused, -3 = Scheduled, -2 = Unknown, -1 = Pending, 0 = Queued, 1 = Running, 2 = Complete, 3 = Failed, 4 = Cancelled, 5 = CompletedWithErrors, 6 = CompletedNotRun.

Values for failureReason: 0 = NoError, 1 = UnknownError, 2 = SystemError, 3 = ActionServiceUnavailable, 4 = ActionTimeout, 5 = AccessDenied, 6 = UserAlreadyMemberofGroup, 7 = UserNotMemberofGroup, 8 = InvalidGroupName, 9 = InvalidUserName, 10 = InvalidHostName, 11 = FailedToConnect.

Request​

Responses​

A list of scan job statuses. Each entry has the job ID, an overall status and description, and a status entry for each host.